IN operator broken in rule based renderer

2011-08-29 12:16 AM - Anita Graser

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 14186

Description

If I use the IN operator to define a rule in rule based renderer, the rule is never drawn. The renderer says no features match the rule.

Must have been broken during the last two days. It worked with Friday's nightly.

Associated revisions

Revision 883af7f8 - 2011-08-29 09:31 PM - Martin Dobias

Fix #4229

History

#1 - 2011-08-29 02:23 AM - Martin Dobias

- Target version changed from Version 1.7.1 to Version 2.0.0

That will be surely something I have broken when doing reimplementation of evaluation of expressions. I will check that at home.

But this issue should affect only master branch (not 1.7.x), so I'm moving the target to 2.0.

#2 - 2011-08-29 12:33 PM - Martin Dobias

fixed in commit:883af7f8

#3 - 2011-08-29 12:34 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

2025-12-16 1/1


